> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/android/changelogs/version-10/v10-11-0.md).

# Version 10.11.0 Changelog (July 24, 2024)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

Version: 10.11.0.84197

Release Date: July 24, 2024

## Notes

This release of Apryse for Android brings the core PDF functionality inline with version 10.11.0 of the Apryse cross-platform APIs. Most non-module related changes apply to Android.

## Fixes

* Fixed issue where some annotations were not selected after enabling `setAutoSelectAnnotation`
* Fixed issue where grouped annotations without permissions were not selectable

## APIs

### PDFViewCtrlTools package

#### Utils

*new* static method: `Single<String> getUriExtensionAsync(ContentResolver, Uri)`

*new* static method: `boolean hasPostNotificationsPermission(Context)`

#### DocumentSlider

*new* method: `void onConversionEvent(ConversionState, int)`

*removed* method: `void setCanShowPageIndicator(boolean)`

*removed* method: `void setPageIndicatorLayout(PageIndicatorLayout)`

*modified* class: `DocumentSlider`

|       | Declaration                                                                                                                                                          |
| ----- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| From: | public class DocumentSlider extends RelativeLayout implements DocumentLoadListener,PageChangeListener,OnCanvasSizeChangeListener                                     |
| To:   | public class DocumentSlider extends RelativeLayout implements DocumentLoadListener,PageChangeListener,UniversalDocumentConversionListener,OnCanvasSizeChangeListener |

### pdfnet-demo-utils package

#### AdvancedReaderActivity

*removed* method: `void onPermissionScreenDismiss(boolean, boolean)`

*modified* class: `AdvancedReaderActivity`

|       | Declaration                                                                                                                                                                                                                                                                                                                  |
| ----- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| From: | public class AdvancedReaderActivity extends AppCompatActivity implements OnNavigationItemSelectedListener,PasswordDialogFragmentListener,PortfolioDialogFragmentListener,FilePickerCallbacks,FileUtilCallbacks,JumpNavigationCallbacks,OnRequestPermissionsResultCallback,OnPermissionDialogFragmentListener,TabHostListener |
| To:   | public class AdvancedReaderActivity extends AppCompatActivity implements OnNavigationItemSelectedListener,PasswordDialogFragmentListener,PortfolioDialogFragmentListener,FilePickerCallbacks,FileUtilCallbacks,JumpNavigationCallbacks,OnRequestPermissionsResultCallback,TabHostListener                                    |

#### FragmentCriticalPermissionDialogBinding

*removed* final class: `FragmentCriticalPermissionDialogBinding`

*removed* final field: `LinearLayout buttons`

*removed* final field: `TextView permissionBody`

*removed* final field: `Button permissionExit`

*removed* final field: `AppCompatImageView permissionImage`

*removed* final field: `Button permissionSettings`

*removed* static method: `FragmentCriticalPermissionDialogBinding bind(View)`

*removed* method: `View getRoot()`

*removed* static method: `FragmentCriticalPermissionDialogBinding inflate(LayoutInflater)`

*removed* static method: `FragmentCriticalPermissionDialogBinding inflate(LayoutInflater, ViewGroup, boolean)`

#### CriticalPermissionDialogFragment

*removed* class: `CriticalPermissionDialogFragment`

*removed* constructor: `CriticalPermissionDialogFragment()`

*removed* static method: `CriticalPermissionDialogFragment newInstance(boolean)`

*removed* method: `void onAttach(Context)`

*removed* method: `void onConfigurationChanged(Configuration)`

*removed* method: `void onCreate(Bundle)`

*removed* method: `View onCreateView(LayoutInflater, ViewGroup, Bundle)`

*removed* method: `void onDetach()`

*removed* method: `void onDismiss(DialogInterface)`

*removed* method: `void onViewCreated(View, Bundle)`

*removed* method: `void setListener(OnPermissionDialogFragmentListener)`

## OnPermissionDialogFragmentListener

*removed* interface: `OnPermissionDialogFragmentListener`

*removed* method: `void onPermissionScreenDismiss(boolean, boolean)`

#### OutlineDialogFragment

*new* static final field: `String BUNDLE_CREATE_BUTTON_SPANNABLE_STRING`

*new* static final field: `String BUNDLE_EDIT_BUTTON_SPANNABLE_STRING`

*new* method: `void setEditButtonText(CharSequence, CharSequence)`

#### PdfViewCtrlTabBaseFragment

*new* method: `Transition getPageNumberIndicatorTransition()`

#### BookmarksDialogFragment

*new* method: `void updateEditButtonText(CharSequence, CharSequence)`

#### SimpleShapeCreate

*new* method: `void setForceSameNextToolMode(boolean)`

#### AnalyticsParam

*new* static method: `HashMap<String, String> openFileParam(ExternalFileInfo, int)`

*removed* static method: `HashMap<String, String> openFileParam(ExternalFileInfo, ContentResolver, int)`

#### BufferTransitionManager

*new* class: `BufferTransitionManager`

*new* constructor: `BufferTransitionManager()`

*new* static final field: `Interpolator DEFAULT_INTERPOLATOR`

*new* static final field: `long DEFAULT_TRANSITION_DURATION`

*new* method: `void beginDelayedTransition(ViewGroup, Transition, Runnable)`

*new* static synchronized method: `BufferTransitionManager getInstance()`

*new* method: `void setDelay(long)`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/android/changelogs/version-10/v10-11-0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
